Bug 1024719 - Modification to Min and Max in cartridge's manifest.yml does not take effect.
Modification to Min and Max in cartridge's manifest.yml does not take effect.
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 06:10 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-10-30 06:10:57 EDT
Description of problem:
Modify Min and Max value in cartridge's manifest.yml, then create a scalable app, these modification does not take effect.

Version-Release number of selected component (if applicable):
2.0/2013-10-23.2

How reproducible:
Always

Steps to Reproduce:
1. Modify /usr/libexec/openshift/cartridges/php/metadata/manifest.yml, set Min to 5, and Max to 10.
2. Do the following operation to make your change take effect.
On node:
# /etc/init.d/ruby193-mcollective restart
On broker:
# oo-admin-broker-cache -c --console
# /etc/init.d/openshift-broker restart
3. Create a php scalable app

Actual results:
$ rhc app show -a scaphpapp -predhat
scaphpapp @ http://scaphpapp-jialiu.ose-1023.com.cn/ (uuid: 5270d56507e1fe256f00002f)
-------------------------------------------------------------------------------------
  Domain:  jialiu
  Created: 5:46 PM
  Gears:   1 (defaults to small)
  Git URL: ssh://5270d56507e1fe256f00002f@scaphpapp-jialiu.ose-1023.com.cn/~/git/scaphpapp.git/
  SSH:     5270d56507e1fe256f00002f@scaphpapp-jialiu.ose-1023.com.cn

  php-5.3 (PHP 5.3)
  -----------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

  haproxy-1.4 (Web Load Balancer)
  -------------------------------
    Gears: Located with php-5.3

$ rhc app show -a scaphpapp -predhat --gears
ID                       State   Cartridges          Size  SSH URL
------------------------ ------- ------------------- ----- ---------------------------------------------------------
5270d56507e1fe256f00002f started php-5.3 haproxy-1.4 small 5270d56507e1fe256f00002f@scaphpapp-jialiu.ose-1023.com.cn


Expected results:
Modification to Min and Max in cartridge's manifest.yml should take effect.

Additional info:
Some similar issue happened before against online, e.g: 999802, but now it is fixed in online, it is working well in devenv_3966.
Comment 3 Johnny Liu 2013-11-07 01:17:45 EST
Verified this bug with 2.0/2013-11-05.1 puddle, and PASS.

$ rhc app show -a scaphpapp 
scaphpapp @ http://scaphpapp-jialiu.ose.phx2.redhat.com/ (uuid: 527b2f066c216834f1000001)
-----------------------------------------------------------------------------------------
  Domain:  jialiu
  Created: 2:11 PM
  Gears:   5 (defaults to small)
  Git URL: ssh://527b2f066c216834f1000001@scaphpapp-jialiu.ose.phx2.redhat.com/~/git/scaphpapp.git/
  SSH:     527b2f066c216834f1000001@scaphpapp-jialiu.ose.phx2.redhat.com

  php-5.3 (PHP 5.3)
  -----------------
    Scaling: x5 (minimum: 5, maximum: 10) on small gears

  haproxy-1.4 (Web Load Balancer)
  -------------------------------
    Gears: Located with php-5.3

$ rhc app show -a scaphpapp -g
ID                       State   Cartridges          Size  SSH URL
------------------------ ------- ------------------- ----- ----------------------------------------------------------------------------
527b2f066c216834f1000001 started php-5.3 haproxy-1.4 small 527b2f066c216834f1000001@scaphpapp-jialiu.ose.phx2.redhat.com
527b2f066c216834f1000006 started php-5.3 haproxy-1.4 small 527b2f066c216834f1000006@527b2f066c216834f1000006-jialiu.ose.phx2.redhat.com
527b2f066c216834f1000007 started php-5.3 haproxy-1.4 small 527b2f066c216834f1000007@527b2f066c216834f1000007-jialiu.ose.phx2.redhat.com
527b2f066c216834f1000008 started php-5.3 haproxy-1.4 small 527b2f066c216834f1000008@527b2f066c216834f1000008-jialiu.ose.phx2.redhat.com
527b2f066c216834f1000009 started php-5.3 haproxy-1.4 small 527b2f066c216834f1000009@527b2f066c216834f1000009-jialiu.ose.phx2.redhat.com

Note You need to log in before you can comment on or make changes to this bug.